## taglib 1.9.1

=== debian/changelog ===
taglib (1.9.1-2.4ubuntu1) wily; urgency=medium

  [ Peter Frühberger ]
  * debian/patches/fix-memcpy.patch:
    - Cherry pick upstream fix for possible crasher (LP: #1369111)

 -- Michael Terry <mterry@ubuntu.com>  Wed, 14 Oct 2015 16:28:06 -0400

taglib (1.9.1-2.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Provide a minimal symbols file (with no actual symbols yet)
    to produce a shlibs dependency on libtag1v5 instead of
    libtag1v5-vanilla, so that the use of dh_sameversiondep in
    taglib-extras can work. (Closes: #794638)

 -- Simon McVittie <smcv@debian.org>  Thu, 06 Aug 2015 20:50:57 +0100

taglib (1.9.1-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Aug 2015 19:37:20 +0200

taglib (1.9.1-2.2) experimental; urgency=medium

  * Non maintainer upload.
  * Rename libtag1v5-vanilla to libtag1v5-vanilla, libtag1c2a to libtag1v5;
    follow-up for the libstdc++6 ABI changes. Addresses: #791297.
  * Add Breaks/Replaces to the old library package.
  * Update library symbols for GCC 5 (for the new libstdc++ ABI).
    Closes: #778138.

 -- Matthias Klose <doko@debian.org>  Thu, 30 Jul 2015 16:50:43 +0200

taglib (1.9.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix multiple FTBTSes by changing symbol file on mips64el architecture.
    Tested on mips, mipsel, mips64el, amd64, i386. 
    Patch by Sphinx Jiang <yishanj13@gmail.com>.
    Work done for Debian GSOC2014.
    Closes: #746918.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 26 Jun 2014 13:15:27 +0100

taglib (1.9.1-2) unstable; urgency=low

  * Fix multiple FTBFSes by confirming symbol files on more architectures.
  * Symbol files require substitutions hence use pkgkde-symbolshelper at build
    time.

 -- Modestas Vainius <modax@debian.org>  Mon, 04 Nov 2013 16:17:34 +0200

taglib (1.9.1-1) unstable; urgency=low

  * New upstream release.
  * Drop RusXMMS flavour (libtag1-rusxmms package). The patch no longer
    applies, it is hardly maintained upstream, its popcon is very low etc.
  * Properly remove documentation in clean target.
  * Update symbol files.
  * Bump Standards-Version to 3.9.5: no further changes needed.
  * Update Vcs-* URLs to canonical ones.
  * Update Homepage URL in debian/control.
  * Register taglib API documentation with doc-base.
  * Update install files (new headers added).
  * Update package descriptions.
  * Update debian/copyright, note an option of MPL licensing.

 -- Modestas Vainius <modax@debian.org>  Mon, 04 Nov 2013 13:25:44 +0200

=== debian/control ===
Source: taglib
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Modestas Vainius <modax@debian.org>
Build-Depends: cmake (>= 2.6.2), debhelper (>= 9), dpkg-dev (>= 1.16.1), zlib1g-dev,
 pkg-kde-tools (>= 0.14), g++ (>= 4:5.2)
Build-Depends-Indep: doxygen, graphviz, gsfonts-x11
Standards-Version: 3.9.5
Homepage: http://taglib.github.io/
Vcs-Git: git://anonscm.debian.org/users/modax/taglib.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/modax/taglib.git;a=summary

Package: libtag1v5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libtag1v5-vanilla (= ${binary:Version}), ${misc:Depends}
Conflicts: libtag-extras0, libtag1c2a
Replaces: libtag1c2a
Description: audio meta-data library
 TagLib is a library for reading and editing audio meta data, commonly know as
 tags.
 .
  - A clean, high level, C++ API to handling audio meta data.
  - Format specific APIs for advanced API users.
  - ID3v1, ID3v2, APE, FLAC, Xiph, iTunes-style MP4 and WMA tag formats.
  - MP3, MPC, FLAC, MP4, ASF, AIFF, WAV, TrueAudio, WavPack, Ogg FLAC, Ogg
    Vorbis, Speex and Opus file formats.
  - Basic audio file properties such as length, sample rate, etc.
  - Long term binary and source compatibility.
  - Extensible design, notably the ability to add other formats or extend
  - current formats as a library user.
  - Full support for unicode and internationalized tags.
  - Dual MPL and LGPL licenses.
  - No external toolkit dependencies.
 .
 This package is the main metapackage for the TagLib Audio Meta-Data Library.
 Historically packages using TagLib should depend on this package rather than
 specific TagLib flavour even if the only vanilla (original) flavour is
 available at the moment.

Package: libtag1v5-vanilla
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libtag1-rusxmms, libtag-extras0
Replaces: libtag1c2a (<< 1.5-5), libtag1-vanilla
Breaks: libtag1c2a (<< 1.5-5), libtag1-vanilla
Description: audio meta-data library - vanilla flavour
 TagLib is a library for reading and editing audio meta data, commonly know as
 tags.
 .
  - A clean, high level, C++ API to handling audio meta data.
  - Format specific APIs for advanced API users.
  - ID3v1, ID3v2, APE, FLAC, Xiph, iTunes-style MP4 and WMA tag formats.
  - MP3, MPC, FLAC, MP4, ASF, AIFF, WAV, TrueAudio, WavPack, Ogg FLAC, Ogg
    Vorbis, Speex and Opus file formats.
  - Basic audio file properties such as length, sample rate, etc.
  - Long term binary and source compatibility.
  - Extensible design, notably the ability to add other formats or extend
  - current formats as a library user.
  - Full support for unicode and internationalized tags.
  - Dual MPL and LGPL licenses.
  - No external toolkit dependencies.
 .
 This is the runtime package for programs that use the TagLib Audio Meta-Data
 Library. This package contains original and unpatched flavour of the library.

Package: libtag1-dev
Section: libdevel
Architecture: any
Depends: libtag1v5 (= ${binary:Version}), ${misc:Depends}
Description: audio meta-data library - development files
 TagLib is a library for reading and editing audio meta data, commonly know as
 tags.
 .
  - A clean, high level, C++ API to handling audio meta data.
  - Format specific APIs for advanced API users.
  - ID3v1, ID3v2, APE, FLAC, Xiph, iTunes-style MP4 and WMA tag formats.
  - MP3, MPC, FLAC, MP4, ASF, AIFF, WAV, TrueAudio, WavPack, Ogg FLAC, Ogg
    Vorbis, Speex and Opus file formats.
  - Basic audio file properties such as length, sample rate, etc.
  - Long term binary and source compatibility.
  - Extensible design, notably the ability to add other formats or extend
  - current formats as a library user.
  - Full support for unicode and internationalized tags.
  - Dual MPL and LGPL licenses.
  - No external toolkit dependencies.
 .
 This is the development package which contains headers and static libraries
 for the TagLib Audio Meta-Data Library.

Package: libtag1-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libtag1-dev
Description: audio meta-data library - API documentation
 TagLib is a library for reading and editing audio meta data, commonly know as
 tags.
 .
  - A clean, high level, C++ API to handling audio meta data.
  - Format specific APIs for advanced API users.
  - ID3v1, ID3v2, APE, FLAC, Xiph, iTunes-style MP4 and WMA tag formats.
  - MP3, MPC, FLAC, MP4, ASF, AIFF, WAV, TrueAudio, WavPack, Ogg FLAC, Ogg
    Vorbis, Speex and Opus file formats.
  - Basic audio file properties such as length, sample rate, etc.
  - Long term binary and source compatibility.
  - Extensible design, notably the ability to add other formats or extend
  - current formats as a library user.
  - Full support for unicode and internationalized tags.
  - Dual MPL and LGPL licenses.
  - No external toolkit dependencies.
 .
 This is the documentation package which contains API documentation for the
 TagLib Audio Meta-Data Library.

Package: libtagc0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: audio meta-data library - C bindings
 TagLib is a library for reading and editing audio meta data, commonly know as
 tags.
 .
  - A clean, high level, C++ API to handling audio meta data.
  - Format specific APIs for advanced API users.
  - ID3v1, ID3v2, APE, FLAC, Xiph, iTunes-style MP4 and WMA tag formats.
  - MP3, MPC, FLAC, MP4, ASF, AIFF, WAV, TrueAudio, WavPack, Ogg FLAC, Ogg
    Vorbis, Speex and Opus file formats.
  - Basic audio file properties such as length, sample rate, etc.
  - Long term binary and source compatibility.
  - Extensible design, notably the ability to add other formats or extend
  - current formats as a library user.
  - Full support for unicode and internationalized tags.
  - Dual MPL and LGPL licenses.
  - No external toolkit dependencies.
 .
 This is the runtime package for programs that use the TagLib Audio Meta-Data
 Library (C bindings).

Package: libtagc0-dev
Section: libdevel
Architecture: any
Depends: libtagc0 (= ${binary:Version}), libtag1-dev (= ${binary:Version}), ${misc:Depends}
Description: audio meta-data library - development files for C bindings
 TagLib is a library for reading and editing audio meta data, commonly know as
 tags.
 .
  - A clean, high level, C++ API to handling audio meta data.
  - Format specific APIs for advanced API users.
  - ID3v1, ID3v2, APE, FLAC, Xiph, iTunes-style MP4 and WMA tag formats.
  - MP3, MPC, FLAC, MP4, ASF, AIFF, WAV, TrueAudio, WavPack, Ogg FLAC, Ogg
    Vorbis, Speex and Opus file formats.
  - Basic audio file properties such as length, sample rate, etc.
  - Long term binary and source compatibility.
  - Extensible design, notably the ability to add other formats or extend
  - current formats as a library user.
  - Full support for unicode and internationalized tags.
  - Dual MPL and LGPL licenses.
  - No external toolkit dependencies.
 .
 This is the development package which contains headers and static libraries
 for the TagLib Audio Meta-Data Library (C bindings).

=== debian/rules ===
#! /usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND += -fvisibility=hidden -fvisibility-inlines-hidden
export DEB_CXXFLAGS_MAINT_APPEND += -fvisibility=hidden -fvisibility-inlines-hidden
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Build with NDEBUG (i.e. no debug messages) unless noopt build was requested
ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
    export DEB_CFLAGS_MAINT_APPEND += -DNDEBUG
    export DEB_CXXFLAGS_MAINT_APPEND += -DNDEBUG
endif

DH_AUTO_ARGS = --parallel --buildsystem=cmake --builddirectory=builddir

override_dh_auto_configure:
	dh_auto_configure $(DH_AUTO_ARGS) -- \
		-DCMAKE_USE_RELATIVE_PATHS=ON -DWITH_ASF=ON -DWITH_MP4=ON \
		-DLIB_INSTALL_DIR:PATH=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_installdocs:
	dh_installdocs
	# Install bindings README
	if [ -d debian/libtag1v5 ]; then \
	    install -m644 -oroot -groot -T bindings/README debian/libtag1v5/usr/share/doc/libtag1v5/README.bindings; \
	fi;

# Generate docs when building indep
builddir/doc/html/index.html:
	# build-indep gets invoked in buildds as well...
	if [ -x /usr/bin/doxygen ]; then \
	    dh_auto_build --buildsystem=makefile --builddirectory=builddir -- docs; \
	fi

build-indep: builddir/doc/html/index.html

clean:
	# Clean documentation
	rm -rf builddir/doc/html
	dh clean

# All-in-one default dh rule
%:
	dh $@ --with=pkgkde-symbolshelper $(DH_AUTO_ARGS)

=== debian/watch ===
version=3
opts="uversionmangle=s/^([\d.]+)([^.\d].+)$/$1~$2/" \
https://github.com/taglib/taglib/tags .*/tarball/v(\d[\d\.]+)

## taglib 1.11.1

=== debian/changelog ===
taglib (1.11.1-0.1ubuntu2) zesty; urgency=medium

  * Further symbols file fixes.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 25 Oct 2016 22:19:45 -0700

taglib (1.11.1-0.1ubuntu1) zesty; urgency=medium

  * Fix symbols file for -O3 compatibility.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 25 Oct 2016 22:12:16 -0700

taglib (1.11.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. (Closes: #839767)
    + debian/libtag1v5-vanilla.symbols: restored symbol
      _ZN6TagLib6String14WCharByteOrderE (TagLib::String::WCharByteOrder) with
      version 1.9.1-2.2~.
  * Drop README.Debian-source: non-free file id3v22-tda.mp3 was dropped
    upstream, so a repack is not needed any more.
  * Update debian/copyright (add myself for debian/*).

 -- Matteo Cypriani <mcy@lm7.fr>  Mon, 24 Oct 2016 16:43:33 -0400

taglib (1.11+dfsg.1-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add missing includes in libtag1-dev. (Closes: #840825)
  * debian/rules: use dh_install --fail-missing.
  * Multi-Arch:
    + Mark libtag1-doc "foreign".
    + Mark libtagc0-dev "same".
    + Add patch taglib-config-multiarch.patch to make the taglib-config script
      architecture-independent, and mark libtag1-dev "same".
  * Improve symbols file for libtag1v5-vanilla: mark new symbols from version
    1.11 as such.
  * Fix changelog entry for 1.9.1-2.2 (typo in the old name of
    libtag1-vanilla).

 -- Matteo Cypriani <mcy@lm7.fr>  Tue, 18 Oct 2016 16:46:19 -0400

taglib (1.11+dfsg.1-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix symbols for various architectures.
  * debian/rules: drop "clean" target (use dh_auto_clean instead).

 -- Matteo Cypriani <mcy@lm7.fr>  Thu, 06 Oct 2016 17:42:04 -0400

taglib (1.11+dfsg.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Modestas Vainius ]
  * Get rid of 'static libraries' from package descriptions. This is not true
    anyway (if it has ever been). See #639104.

  [ Matteo Cypriani ]
  * New upstream version 1.11 (Closes: #805848, #730206).
  * Repack upstream tarball to get rid of non-free file id3v22-tda.mp3,
    see README.Debian-source (Closes: #736188).
  * Drop patch multiarch.diff (applied upstream).
  * Bump Standards-Version to 3.9.8 (no changes needed).
  * Fix debian/watch.
  * Update debian/copyright and switch to DEP-5 format.
  * debian/control:
    + Update VCS URIs to the new collab-maint repository.
    + Build-Depend on libboost-dev.
    + Remove unneeded versions in Build-Depends.
  * debian/rules:
    + Call cmake with BUILD_SHARED_LIBS.
    + Use DEB_BUILD_MAINT_OPTIONS to enforce hardening.
    + use override_dh_auto_build-indep target instead of build-indep to
      generate the documentation (Closes: #806660).
  * Update symbols.
  * Don't install md5 files in libtag1-doc.
  * Install upstream NEWS as changelog.
  * Quit embedding jquery.js.

 -- Matteo Cypriani <mcy@lm7.fr>  Fri, 30 Sep 2016 16:39:42 -0400

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Modestas Vainius <modax@debian.org>
-Build-Depends: cmake (>= 2.6.2), debhelper (>= 9), dpkg-dev (>= 1.16.1), zlib1g-dev,
- pkg-kde-tools (>= 0.14), g++ (>= 4:5.2)
+Build-Depends: cmake, debhelper (>= 9), zlib1g-dev,
+ pkg-kde-tools, g++ (>= 4:5.2), libboost-dev
 Build-Depends-Indep: doxygen, graphviz, gsfonts-x11
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: http://taglib.github.io/
-Vcs-Git: git://anonscm.debian.org/users/modax/taglib.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/modax/taglib.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/taglib.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/taglib.git/
 
 Package: libtag1v5
 Architecture: any
@@ -71,6 +71,7 @@
 Package: libtag1-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libtag1v5 (= ${binary:Version}), ${misc:Depends}
 Description: audio meta-data library - development files
  TagLib is a library for reading and editing audio meta data, commonly know as
@@ -89,13 +90,14 @@
   - Dual MPL and LGPL licenses.
   - No external toolkit dependencies.
  .
- This is the development package which contains headers and static libraries
- for the TagLib Audio Meta-Data Library.
+ This is the development package which contains headers for the TagLib Audio
+ Meta-Data Library.
 
 Package: libtag1-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
+Multi-Arch: foreign
+Depends: libjs-jquery, ${misc:Depends}
 Suggests: libtag1-dev
 Description: audio meta-data library - API documentation
  TagLib is a library for reading and editing audio meta data, commonly know as
@@ -145,6 +147,7 @@
 Package: libtagc0-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libtagc0 (= ${binary:Version}), libtag1-dev (= ${binary:Version}), ${misc:Depends}
 Description: audio meta-data library - development files for C bindings
  TagLib is a library for reading and editing audio meta data, commonly know as
@@ -163,5 +166,5 @@
   - Dual MPL and LGPL licenses.
   - No external toolkit dependencies.
  .
- This is the development package which contains headers and static libraries
- for the TagLib Audio Meta-Data Library (C bindings).
+ This is the development package which contains headers for the TagLib Audio
+ Meta-Data Library (C bindings).

## taglib 1.11.1%2Bdfsg.1

=== debian/changelog ===
taglib (1.11.1+dfsg.1-3+deb11u1) bullseye-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * CVE-2023-47466
    fix segmentation violation
  * add binary file for CVE-2023-47466

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 18 Jan 2026 10:03:02 +0100

taglib (1.11.1+dfsg.1-3) unstable; urgency=medium

  * Rebuild against GCC 10.
  * debian/control:
    + Bump debhelper compat to v13.
  * debian/rules: Simplify using dh13 syntax.
  * debian/symbols: Refresh symbols. (Closes: #957861)

 -- Boyuan Yang <byang@debian.org>  Fri, 24 Jul 2020 10:34:03 -0400

taglib (1.11.1+dfsg.1-2) unstable; urgency=medium

  * debian/symbols: Refresh symbols again using buildd logs.
  * debian/patches: Add patch to fix corruption on
    handling ogg files. (Closes: #915281, upstream issue 775) 

 -- Boyuan Yang <byang@debian.org>  Sun, 26 Apr 2020 13:55:26 -0400

taglib (1.11.1+dfsg.1-1) unstable; urgency=medium

  * Adopt the package via ITS process. (Closes: #955165)
    + Have the package team-maintained under Debian Multimedia team.
  * debian/rules: Use "dh_missing --fail-missing".
  * debian/control: Update Vcs-* fields to use git packaging repo under
    Salsa Debian Multimedia team.

  [ Matteo Cypriani ]
  * Update debian/copyright (full copyright check).
  * Versioned build-dependency on cmake (>= 3.7) to make sure
    FindICU.cmake is shipped in cmake-data.

 -- Boyuan Yang <byang@debian.org>  Sat, 18 Apr 2020 11:23:33 -0400

taglib (1.11.1+dfsg.1-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * CVE-2018-11439 (Closes: #903847)

 -- Moritz Muehlenhoff <jmm@debian.org>  Tue, 19 Feb 2019 23:24:40 +0100

taglib (1.11.1+dfsg.1-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop obsolete versioned build dependency on g++.
  * Mark two more symbols as optional, not seen when building with -O3.
  * Bump standards version to 4.1.1.
  * CVE-2017-12678: Don't assume TDRC is an instance of TextIdentificationFrame.
    Closes: #871511.

 -- Matthias Klose <doko@debian.org>  Thu, 12 Oct 2017 11:38:02 +0200

taglib (1.11.1+dfsg.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Repack upstream tarball to get rid of non-free files
    taglib/toolkit/unicode.{h,cpp} (see lintian error
    license-problem-convert-utf-code).
    + Add patch icu.patch.
    + New (build-)dependency: libicu.
  * Mark a few symbols as optional. (Closes: #842126)
    Patch by Steve Langasek <steve.langasek@canonical.com>.
  * Update debian/copyright.

 -- Matteo Cypriani <mcy@lm7.fr>  Tue, 24 Jan 2017 20:10:42 -0500

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND += -fvisibility=hidden -fvisibility-inlines-hidden
export DEB_CXXFLAGS_MAINT_APPEND += -fvisibility=hidden -fvisibility-inlines-hidden

# Build with NDEBUG (i.e. no debug messages) unless noopt build was requested
ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
    export DEB_CFLAGS_MAINT_APPEND += -DNDEBUG
    export DEB_CXXFLAGS_MAINT_APPEND += -DNDEBUG
endif

DH_AUTO_ARGS = --buildsystem=cmake --builddirectory=builddir

override_dh_auto_configure:
	dh_auto_configure $(DH_AUTO_ARGS) -- \
		-DCMAKE_USE_RELATIVE_PATHS=ON -DWITH_ASF=ON -DWITH_MP4=ON \
		-DLIB_INSTALL_DIR:PATH=/usr/lib/$(DEB_HOST_MULTIARCH) \
		-DBUILD_SHARED_LIBS=ON

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_installdocs:
	dh_installdocs -X '*.md5'
	# Install bindings README
	if [ -d debian/libtag1v5 ]; then \
	    install -m644 -oroot -groot -T bindings/README debian/libtag1v5/usr/share/doc/libtag1v5/README.bindings; \
	fi;

# Generate docs when building indep
execute_after_dh_auto_build-indep:
	# build-indep gets invoked in buildds as well...
	if [ -x /usr/bin/doxygen ]; then \
	    dh_auto_build --buildsystem=makefile --builddirectory=builddir -- docs; \
	    rm builddir/doc/html/jquery.js; \
	    ln -s /usr/share/javascript/jquery/jquery.js builddir/doc/html; \
	fi

override_dh_auto_test:
	# add some binary testfiles that were part of a patch
	cp debian/binary-files/invalid-chunk.wav tests/data
	dh_auto_test
	# cleanup
	rm tests/data/invalid-chunk.wav

# All-in-one default dh rule
%:
	dh $@ --with=pkgkde-symbolshelper $(DH_AUTO_ARGS)

## taglib 1.11.1%2Bdfsg.1.1

=== taglib/CMakeLists.txt ===
set(CMAKE_INCLUDE_CURRENT_DIR ON)
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/toolkit
  ${CMAKE_CURRENT_SOURCE_DIR}/asf
  ${CMAKE_CURRENT_SOURCE_DIR}/mpeg
  ${CMAKE_CURRENT_SOURCE_DIR}/ogg
  ${CMAKE_CURRENT_SOURCE_DIR}/ogg/flac
  ${CMAKE_CURRENT_SOURCE_DIR}/flac
  ${CMAKE_CURRENT_SOURCE_DIR}/mpc
  ${CMAKE_CURRENT_SOURCE_DIR}/mp4
  ${CMAKE_CURRENT_SOURCE_DIR}/ogg/vorbis
  ${CMAKE_CURRENT_SOURCE_DIR}/ogg/speex
  ${CMAKE_CURRENT_SOURCE_DIR}/ogg/opus
  ${CMAKE_CURRENT_SOURCE_DIR}/mpeg/id3v2
  ${CMAKE_CURRENT_SOURCE_DIR}/mpeg/id3v2/frames
  ${CMAKE_CURRENT_SOURCE_DIR}/mpeg/id3v1
  ${CMAKE_CURRENT_SOURCE_DIR}/ape
  ${CMAKE_CURRENT_SOURCE_DIR}/wavpack
  ${CMAKE_CURRENT_SOURCE_DIR}/trueaudio
  ${CMAKE_CURRENT_SOURCE_DIR}/riff
  ${CMAKE_CURRENT_SOURCE_DIR}/riff/aiff
  ${CMAKE_CURRENT_SOURCE_DIR}/riff/wav
  ${CMAKE_CURRENT_SOURCE_DIR}/mod
  ${CMAKE_CURRENT_SOURCE_DIR}/s3m
  ${CMAKE_CURRENT_SOURCE_DIR}/it
  ${CMAKE_CURRENT_SOURCE_DIR}/xm
)

if(ICU_FOUND)
  include_directories(${ICU_INCLUDE_DIRS})
endif()

if(ZLIB_FOUND)
  include_directories(${ZLIB_INCLUDE_DIR})
elseif(HAVE_ZLIB_SOURCE)
  include_directories(${ZLIB_SOURCE})
endif()

if(HAVE_BOOST_BYTESWAP OR HAVE_BOOST_ATOMIC OR HAVE_BOOST_ZLIB)
  include_directories(${Boost_INCLUDE_DIR})
endif()

set(tag_HDRS
  tag.h
  fileref.h
  audioproperties.h
  taglib_export.h
  ${CMAKE_CURRENT_BINARY_DIR}/../taglib_config.h
  toolkit/taglib.h
  toolkit/tstring.h
  toolkit/tlist.h
  toolkit/tlist.tcc
  toolkit/tstringlist.h
  toolkit/tbytevector.h
  toolkit/tbytevectorlist.h
  toolkit/tbytevectorstream.h
  toolkit/tiostream.h
  toolkit/tfile.h
  toolkit/tfilestream.h
  toolkit/tmap.h
  toolkit/tmap.tcc
  toolkit/tpropertymap.h
  toolkit/trefcounter.h
  toolkit/tdebuglistener.h
  mpeg/mpegfile.h
  mpeg/mpegproperties.h
  mpeg/mpegheader.h
  mpeg/xingheader.h
  mpeg/id3v1/id3v1tag.h
  mpeg/id3v1/id3v1genres.h
  mpeg/id3v2/id3v2extendedheader.h
  mpeg/id3v2/id3v2frame.h
  mpeg/id3v2/id3v2header.h
  mpeg/id3v2/id3v2synchdata.h
  mpeg/id3v2/id3v2footer.h
  mpeg/id3v2/id3v2framefactory.h
  mpeg/id3v2/id3v2tag.h
  mpeg/id3v2/frames/attachedpictureframe.h
  mpeg/id3v2/frames/commentsframe.h
  mpeg/id3v2/frames/eventtimingcodesframe.h
  mpeg/id3v2/frames/generalencapsulatedobjectframe.h
  mpeg/id3v2/frames/ownershipframe.h
  mpeg/id3v2/frames/popularimeterframe.h
  mpeg/id3v2/frames/privateframe.h
  mpeg/id3v2/frames/relativevolumeframe.h
  mpeg/id3v2/frames/synchronizedlyricsframe.h
  mpeg/id3v2/frames/textidentificationframe.h
  mpeg/id3v2/frames/uniquefileidentifierframe.h
  mpeg/id3v2/frames/unknownframe.h
  mpeg/id3v2/frames/unsynchronizedlyricsframe.h
  mpeg/id3v2/frames/urllinkframe.h
  mpeg/id3v2/frames/chapterframe.h
  mpeg/id3v2/frames/tableofcontentsframe.h
  mpeg/id3v2/frames/podcastframe.h
  ogg/oggfile.h
  ogg/oggpage.h
  ogg/oggpageheader.h
  ogg/xiphcomment.h
  ogg/vorbis/vorbisfile.h
  ogg/vorbis/vorbisproperties.h
  ogg/flac/oggflacfile.h
  ogg/speex/speexfile.h
  ogg/speex/speexproperties.h
  ogg/opus/opusfile.h
  ogg/opus/opusproperties.h
  flac/flacfile.h
  flac/flacpicture.h
  flac/flacproperties.h
  flac/flacmetadatablock.h
  ape/apefile.h
  ape/apeproperties.h
  ape/apetag.h
  ape/apefooter.h
  ape/apeitem.h
  mpc/mpcfile.h
  mpc/mpcproperties.h
  wavpack/wavpackfile.h
  wavpack/wavpackproperties.h
  trueaudio/trueaudiofile.h
  trueaudio/trueaudioproperties.h
  riff/rifffile.h
  riff/aiff/aifffile.h
  riff/aiff/aiffproperties.h
  riff/wav/wavfile.h
  riff/wav/wavproperties.h
  riff/wav/infotag.h
  asf/asffile.h
  asf/asfproperties.h
  asf/asftag.h
  asf/asfattribute.h
  asf/asfpicture.h
  mp4/mp4file.h
  mp4/mp4atom.h
  mp4/mp4tag.h
  mp4/mp4item.h
  mp4/mp4properties.h
  mp4/mp4coverart.h
  mod/modfilebase.h
  mod/modfile.h
  mod/modtag.h
  mod/modproperties.h
  it/itfile.h
  it/itproperties.h
  s3m/s3mfile.h
  s3m/s3mproperties.h
  xm/xmfile.h
  xm/xmproperties.h
)

set(mpeg_SRCS
  mpeg/mpegfile.cpp
  mpeg/mpegproperties.cpp
  mpeg/mpegheader.cpp
  mpeg/xingheader.cpp
)

set(id3v1_SRCS
  mpeg/id3v1/id3v1tag.cpp
  mpeg/id3v1/id3v1genres.cpp
)

set(id3v2_SRCS
  mpeg/id3v2/id3v2framefactory.cpp
  mpeg/id3v2/id3v2synchdata.cpp
  mpeg/id3v2/id3v2tag.cpp
  mpeg/id3v2/id3v2header.cpp
  mpeg/id3v2/id3v2frame.cpp
  mpeg/id3v2/id3v2footer.cpp
  mpeg/id3v2/id3v2extendedheader.cpp
  )

set(frames_SRCS
  mpeg/id3v2/frames/attachedpictureframe.cpp
  mpeg/id3v2/frames/commentsframe.cpp
  mpeg/id3v2/frames/eventtimingcodesframe.cpp
  mpeg/id3v2/frames/generalencapsulatedobjectframe.cpp
  mpeg/id3v2/frames/ownershipframe.cpp
  mpeg/id3v2/frames/popularimeterframe.cpp
  mpeg/id3v2/frames/privateframe.cpp
  mpeg/id3v2/frames/relativevolumeframe.cpp
  mpeg/id3v2/frames/synchronizedlyricsframe.cpp
  mpeg/id3v2/frames/textidentificationframe.cpp
  mpeg/id3v2/frames/uniquefileidentifierframe.cpp
  mpeg/id3v2/frames/unknownframe.cpp
  mpeg/id3v2/frames/unsynchronizedlyricsframe.cpp
  mpeg/id3v2/frames/urllinkframe.cpp
  mpeg/id3v2/frames/chapterframe.cpp
  mpeg/id3v2/frames/tableofcontentsframe.cpp
  mpeg/id3v2/frames/podcastframe.cpp
)

set(ogg_SRCS
  ogg/oggfile.cpp
  ogg/oggpage.cpp
  ogg/oggpageheader.cpp
  ogg/xiphcomment.cpp
)

set(vorbis_SRCS
  ogg/vorbis/vorbisfile.cpp
  ogg/vorbis/vorbisproperties.cpp
)

set(flacs_SRCS
  flac/flacfile.cpp
  flac/flacpicture.cpp
  flac/flacproperties.cpp
  flac/flacmetadatablock.cpp
  flac/flacunknownmetadatablock.cpp
)

set(oggflacs_SRCS
  ogg/flac/oggflacfile.cpp
)

set(mpc_SRCS
  mpc/mpcfile.cpp
  mpc/mpcproperties.cpp
)

set(mp4_SRCS
  mp4/mp4file.cpp
  mp4/mp4atom.cpp
  mp4/mp4tag.cpp
  mp4/mp4item.cpp
  mp4/mp4properties.cpp
  mp4/mp4coverart.cpp
)

set(ape_SRCS
  ape/apetag.cpp
  ape/apefooter.cpp
  ape/apeitem.cpp
  ape/apefile.cpp
  ape/apeproperties.cpp
)

set(wavpack_SRCS
  wavpack/wavpackfile.cpp
  wavpack/wavpackproperties.cpp
)

set(speex_SRCS
  ogg/speex/speexfile.cpp
  ogg/speex/speexproperties.cpp
)

set(opus_SRCS
  ogg/opus/opusfile.cpp
  ogg/opus/opusproperties.cpp
)

set(trueaudio_SRCS
  trueaudio/trueaudiofile.cpp
  trueaudio/trueaudioproperties.cpp
)

set(asf_SRCS
  asf/asftag.cpp
  asf/asffile.cpp
  asf/asfproperties.cpp
  asf/asfattribute.cpp
  asf/asfpicture.cpp
)

set(riff_SRCS
  riff/rifffile.cpp
)

set(aiff_SRCS
  riff/aiff/aifffile.cpp
  riff/aiff/aiffproperties.cpp
)

set(wav_SRCS
  riff/wav/wavfile.cpp
  riff/wav/wavproperties.cpp
  riff/wav/infotag.cpp
)

set(mod_SRCS
  mod/modfilebase.cpp
  mod/modfile.cpp
  mod/modtag.cpp
  mod/modproperties.cpp
)

set(s3m_SRCS
  s3m/s3mfile.cpp
  s3m/s3mproperties.cpp
)

set(it_SRCS
  it/itfile.cpp
  it/itproperties.cpp
)

set(xm_SRCS
  xm/xmfile.cpp
  xm/xmproperties.cpp
)

set(toolkit_SRCS
  toolkit/tstring.cpp
  toolkit/tstringlist.cpp
  toolkit/tbytevector.cpp
  toolkit/tbytevectorlist.cpp
  toolkit/tbytevectorstream.cpp
  toolkit/tiostream.cpp
  toolkit/tfile.cpp
  toolkit/tfilestream.cpp
  toolkit/tdebug.cpp
  toolkit/tpropertymap.cpp
  toolkit/trefcounter.cpp
  toolkit/tdebuglistener.cpp
  toolkit/tzlib.cpp
)

if(HAVE_ZLIB_SOURCE)
  set(zlib_SRCS
    ${ZLIB_SOURCE}/adler32.c
    ${ZLIB_SOURCE}/crc32.c
    ${ZLIB_SOURCE}/inffast.c
    ${ZLIB_SOURCE}/inflate.c
    ${ZLIB_SOURCE}/inftrees.c
    ${ZLIB_SOURCE}/zutil.c
  )
endif()

set(tag_LIB_SRCS
  ${mpeg_SRCS} ${id3v1_SRCS} ${id3v2_SRCS} ${frames_SRCS} ${ogg_SRCS}
  ${vorbis_SRCS} ${oggflacs_SRCS} ${mpc_SRCS} ${ape_SRCS} ${toolkit_SRCS} ${flacs_SRCS}
  ${wavpack_SRCS} ${speex_SRCS} ${trueaudio_SRCS} ${riff_SRCS} ${aiff_SRCS} ${wav_SRCS}
  ${asf_SRCS} ${mp4_SRCS} ${mod_SRCS} ${s3m_SRCS} ${it_SRCS} ${xm_SRCS} ${opus_SRCS}
  ${zlib_SRCS}
  tag.cpp
  tagunion.cpp
  fileref.cpp
  audioproperties.cpp
  tagutils.cpp
)

add_library(tag ${tag_LIB_SRCS} ${tag_HDRS})

if(ICU_FOUND)
  target_link_libraries(tag ${ICU_LIBRARIES})
endif()

if(ZLIB_FOUND)
  target_link_libraries(tag ${ZLIB_LIBRARIES})
endif()

if(HAVE_BOOST_ATOMIC)
  target_link_libraries(tag ${Boost_ATOMIC_LIBRARY})
endif()

if(HAVE_BOOST_ZLIB)
  target_link_libraries(tag ${Boost_IOSTREAMS_LIBRARY} ${Boost_ZLIB_LIBRARY})
endif()

set_target_properties(tag PROPERTIES
  VERSION ${TAGLIB_SOVERSION_MAJOR}.${TAGLIB_SOVERSION_MINOR}.${TAGLIB_SOVERSION_PATCH}
  SOVERSION ${TAGLIB_SOVERSION_MAJOR}
  INSTALL_NAME_DIR ${LIB_INSTALL_DIR}
  DEFINE_SYMBOL MAKE_TAGLIB_LIB
  LINK_INTERFACE_LIBRARIES ""
  PUBLIC_HEADER "${tag_HDRS}"
)
if(BUILD_FRAMEWORK)
  set_target_properties(tag PROPERTIES FRAMEWORK TRUE)
endif()

install(TARGETS tag
  FRAMEWORK DESTINATION ${FRAMEWORK_INSTALL_DIR}
  LIBRARY DESTINATION ${LIB_INSTALL_DIR}
  RUNTIME DESTINATION ${BIN_INSTALL_DIR}
  ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
  PUBLIC_HEADER DESTINATION ${INCLUDE_INSTALL_DIR}/taglib
)

=== debian/changelog ===
taglib (1.11.1+dfsg.1.1-1+dde) unstable; urgency=low

  * ['Autobuild release-candidate: 004e3eb81288ccb47a15d2006cecf06ae0f7f8ef']

 -- shuttle <shuttle@deepin.com>  Thu, 30 Jul 2020 20:49:48 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: taglib
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Modestas Vainius <modax@debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders:
+ Boyuan Yang <byang@debian.org>,
 Build-Depends: cmake, debhelper (>= 9), zlib1g-dev,
- pkg-kde-tools, g++ (>= 4:5.2), libboost-dev
+ pkg-kde-tools, libboost-dev, libicu-dev
 Build-Depends-Indep: doxygen, graphviz, gsfonts-x11
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: http://taglib.github.io/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/taglib.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/taglib.git/
+Vcs-Git: https://salsa.debian.org/multimedia-team/taglib.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/taglib
 
 Package: libtag1v5
 Architecture: any

## taglib 1.11.1+dfsg.1

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,18 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
-Build-Depends: cmake, debhelper (>= 9), zlib1g-dev,
- pkg-kde-tools, libboost-dev, libicu-dev
-Build-Depends-Indep: doxygen, graphviz, gsfonts-x11
-Standards-Version: 4.1.1
+Build-Depends:
+ cmake (>= 3.7),
+ debhelper-compat (= 13),
+ zlib1g-dev,
+ pkg-kde-tools,
+ libboost-dev,
+ libicu-dev,
+Build-Depends-Indep:
+ doxygen,
+ graphviz,
+ gsfonts-x11,
+Standards-Version: 4.5.0
 Homepage: http://taglib.github.io/
 Vcs-Git: https://salsa.debian.org/multimedia-team/taglib.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/taglib

=== debian/rules ===
--- 
+++ 
@@ -40,13 +40,6 @@
 	    ln -s /usr/share/javascript/jquery/jquery.js builddir/doc/html; \
 	fi
 
-override_dh_auto_test:
-	# add some binary testfiles that were part of a patch
-	cp debian/binary-files/invalid-chunk.wav tests/data
-	dh_auto_test
-	# cleanup
-	rm tests/data/invalid-chunk.wav
-
 # All-in-one default dh rule
 %:
 	dh $@ --with=pkgkde-symbolshelper $(DH_AUTO_ARGS)

## taglib 1.12

=== debian/changelog ===
taglib (1.12-1) unstable; urgency=medium

  * Upload to unstable.
  * debian/libtag1v5-vanilla.symbols: Refresh symbols using buildd logs.
  * debian/patches/0003-Make-taglib-config-arch-independent.patch:
    Correct implementation.

 -- Boyuan Yang <byang@debian.org>  Sun, 03 Oct 2021 10:05:07 -0400

taglib (1.12-1~exp1) experimental; urgency=low

  * New upstream release.
  * debian/libtag1v5-vanilla.symbols: Refresh symbols.
  * debian/patches: Refresh patches.

  [ Helmut Grohne ]
  * Drop unused gsfonts-x11 build dependency. (Closes: #981737)

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on cmake.

 -- Boyuan Yang <byang@debian.org>  Sun, 03 Oct 2021 02:33:34 -0400

taglib (1.12~beta~1-1~exp1) experimental; urgency=medium

  * New upstream beta release.
    + Fix slow processing of Shoutcast data. (Closes: #854664)
  * debian/symbols: Add new symbols.
  * debian/control: Let libtag1-dev depends on dpkg-dev since the
    old-style config script is calling dpkg-architecture tool.

 -- Boyuan Yang <byang@debian.org>  Fri, 24 Jul 2020 13:41:08 -0400

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,17 @@
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
- cmake (>= 3.7),
+ cmake,
  debhelper-compat (= 13),
  zlib1g-dev,
  pkg-kde-tools,
  libboost-dev,
- libicu-dev,
+ libutfcpp-dev,
 Build-Depends-Indep:
  doxygen,
  graphviz,
- gsfonts-x11,
 Standards-Version: 4.5.0
-Homepage: http://taglib.github.io/
+Homepage: https://taglib.github.io/
 Vcs-Git: https://salsa.debian.org/multimedia-team/taglib.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/taglib
 
@@ -81,7 +80,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libtag1v5 (= ${binary:Version}), ${misc:Depends}
+Depends: dpkg-dev, libtag1v5 (= ${binary:Version}), ${misc:Depends}
 Description: audio meta-data library - development files
  TagLib is a library for reading and editing audio meta data, commonly know as
  tags.
